<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/detail_photo_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_light_grey_color">

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryDark">

        <include layout="@layout/title_bar_with_back_and_option" />
    </RelativeLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/title_layout">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="100dp"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/layout_detail_header"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:background="@color/white"
                android:paddingLeft="12dp"
                android:paddingRight="12dp">

                <com.android.views.circleimageview.CircleImageView
                    android:id="@+id/iv_group_avatar"
                    android:layout_width="28dp"
                    android:layout_height="28dp"
                    app:civ_border_width="1dp"
                    app:civ_border_color="@color/pop_bg_color"
                    android:layout_centerVertical="true"
                    android:src="@drawable/default_avatar"/>

                <TextView
                    android:id="@+id/tv_group_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10dp"
                    android:layout_toRightOf="@id/iv_group_avatar"
                    android:paddingRight="80dp"
                    android:singleLine="true"
                    android:textColor="@color/dark_grey"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_enter_group"
                    android:layout_width="61dp"
                    android:layout_height="20dp"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@drawable/enter_group"
                    android:gravity="center_vertical"
                    android:paddingLeft="8dp"
                    android:text="@string/enter_group"
                    android:textColor="@color/pop_head_text_red_color"
                    android:textSize="12sp" />

            </RelativeLayout>

            <android.support.v4.view.ViewPager
                android:id="@+id/pager_photos"
                android:layout_width="match_parent"
                android:layout_height="340dp" />


            <RelativeLayout
                android:id="@+id/layout_uploader_info"
                android:layout_width="match_parent"
                android:layout_height="36dp"
                android:background="@color/white"
                android:paddingLeft="12dp"
                android:paddingRight="12dp">

                <com.android.views.roundrect.RoundedImageView
                    android:id="@+id/iv_uploader_avatar"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    app:riv_corner_radius="4dip"
                    app:riv_border_width="1dip"
                    app:riv_oval="false"
                    android:layout_centerVertical="true"
                    app:riv_border_color="@color/pop_bg_color"/>

                <TextView
                    android:id="@+id/tv_uploader_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="6dp"
                    android:layout_centerVertical="true"
                    android:layout_toRightOf="@id/iv_uploader_avatar"
                    android:textColor="@color/grey"
                    android:textSize="12sp" />


                <TextView
                    android:id="@+id/tv_create_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:drawablePadding="1dp"
                    android:layout_centerVertical="true"
                    android:gravity="center"
                    android:drawableLeft="@drawable/icon_history"
                    android:textColor="@color/grey"
                    android:textSize="12sp" />

            </RelativeLayout>


            <LinearLayout
                android:id="@+id/layout_detail_bottom"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">


                <LinearLayout
                    android:id="@+id/layout_detail_thumb"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:background="@color/white"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingLeft="12dp">

                    <ImageView
                        android:layout_width="14dp"
                        android:layout_height="14dp"
                        android:src="@drawable/icon_thumbup" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:text="@string/photo_like"
                        android:textColor="@color/dark_grey"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_detail_thumb_count"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:gravity="left|center_vertical"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="3dp"
                        android:textColor="@color/grey"
                        android:textSize="14sp" />

                    <ImageView
                        android:id="@+id/iv_thumbup_arrow"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="right|center_vertical"
                        android:layout_marginLeft="12dp"
                        android:layout_marginRight="12dp"
                        android:src="@drawable/arrow_down" />
                </LinearLayout>

                <HorizontalScrollView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="6dp"
                    android:paddingRight="6dp"
                    android:background="@color/white"
                    android:scrollbars="none">

                    <LinearLayout
                        android:id="@+id/layout_thumb_avatars"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="left|center_vertical"
                        android:orientation="horizontal"
                        android:visibility="gone" />
                </HorizontalScrollView>

                <LinearLayout
                    android:id="@+id/layout_detail_comment"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:background="@color/white"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingLeft="12dp">

                    <ImageView
                        android:layout_width="14dp"
                        android:layout_height="14dp"
                        android:src="@drawable/icon_comment" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:text="@string/photo_comment"
                        android:textColor="@color/dark_grey"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_detail_comment_count"
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:gravity="left|center_vertical"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="3dp"
                        android:textColor="@color/grey"
                        android:textSize="14sp" />

                    <ImageView
                        android:id="@+id/iv_comment_arrow"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="right|center_vertical"
                        android:layout_marginLeft="12dp"
                        android:layout_marginRight="12dp"
                        android:src="@drawable/arrow_down" />
                </LinearLayout>

                <ai.pai.client.views.NestedListView
                    android:id="@+id/list_detail_comments"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:cacheColorHint="@color/transparent"
                    android:divider="@color/divider_grey_color"
                    android:dividerHeight="1px"
                    android:listSelector="@color/transparent" />

            </LinearLayout>


        </LinearLayout>

    </ScrollView>

    <RelativeLayout
        android:id="@+id/layout_functional_panel"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="38dp">


        <ImageButton
            android:id="@+id/floating_btn_thumbup"
            android:layout_width="64dp"
            android:layout_height="64dp"
            android:layout_centerInParent="true"
            android:background="@drawable/floating_thumbup_selector" />


        <ImageButton
            android:id="@+id/floating_btn_comment"
            android:layout_width="46dp"
            android:layout_height="46dp"
            android:layout_centerVertical="true"
            android:layout_marginRight="24dp"
            android:layout_toLeftOf="@id/floating_btn_thumbup"
            android:background="@drawable/floating_comment_selector" />


        <ImageButton
            android:id="@+id/floating_btn_share"
            android:layout_width="46dp"
            android:layout_height="46dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="24dp"
            android:layout_toRightOf="@id/floating_btn_thumbup"
            android:background="@drawable/floating_share_selector" />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/layout_detail_bottom_for_paid"
        android:layout_width="match_parent"
        android:layout_height="42dp"
        android:layout_alignParentBottom="true"
        android:orientation="horizontal">

        <RelativeLayout
            android:id="@+id/layout_hd_wrapper"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/get_hd_photo_bg">

            <LinearLayout
                android:id="@+id/layout_get_hd_photo"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:src="@drawable/get_hd" />

                <TextView
                    android:id="@+id/tv_get_hd_photo"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/get_hd_photo_str"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <ai.pai.client.views.CountView
                android:id="@+id/tv_buy_hd_photo"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:visibility="gone"
                android:textColor="@color/white"
                android:textSize="16sp" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/wipe_water_print_bg">

            <LinearLayout
                android:id="@+id/layout_wipe_water_print"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:src="@drawable/buy_water_print" />

                <TextView
                    android:id="@+id/tv_wipe_water_print"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/wipe_water_print_str"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <ai.pai.client.views.CountView
                android:id="@+id/tv_buy_wipe_water_print"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:visibility="gone"
                android:textColor="@color/white"
                android:textSize="16sp" />

        </RelativeLayout>

        <ImageView
            android:id="@+id/iv_share_paid_photo"
            android:layout_width="48dp"
            android:layout_height="match_parent"
            android:src="@drawable/share_rect"
            android:visibility="gone"
            android:background="@color/background_light_grey_color"/>
    </LinearLayout>

</RelativeLayout>